#include <gui/window.h>
#include <gui/requesters.h>
#include <util/application.h>

using namespace os;

class MyApp : public Application
{
    public:
    MyApp() : Application("x") {
        m_pcWindow1 = new Window( Rect( 100, 100, 600, 400 ),
                                  "m_pcWindow1", "First Window");

        m_pcWindow2 = new Window( Rect( 0, 0, 300, 200 ),
                                  "m_pcWindow1", "Second Window");

        m_pcWindow2->CenterInWindow( m_pcWindow1 );

        m_pcWindow1->Show();
        m_pcWindow2->Show();

        Alert *pcAlert = new Alert( "Warning!",
                                  "Syllable is cool!",
                                  Alert::ALERT_WARNING, 0,
                                  "Yep", "I agree", "Definitely", NULL);
        pcAlert->CenterInWindow( m_pcWindow2 );
        pcAlert->Go( new Invoker( new Message( M_QUIT ) ) );
        	// When the user clicks any of the buttons in the Alert requester, it will send M_QUIT
        	// to the application, and terminate it!
    }

    ~MyApp() {
    }

    private:
    Window *m_pcWindow1;
    Window *m_pcWindow2;
};

int main(void)
{
    MyApp *pcApp = new MyApp();

    pcApp->Run();
}
